## deepin-update-ui 1.0.12

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.18)

set(PROJECT_NAME deepin-update-ui)
project(${PROJECT_NAME})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")
set(QT_VERSION_MAJOR 6)

# 增加安全编译参数
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -fPIC")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -fPIC")
set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
add_compile_options(-fPIC)

if (DEFINED ENABLE_MIEEE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
endif()

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()


include_directories(
    ${CMAKE_SOURCE_DIR}/src
)

set(TRANSLATION_LANGUAGES
    af ak am_ET ar ar_EG ast az bg bn bo br ca cgg cs da de de_CH el en en_AU
    en_GB en_US eo es es_MX et eu fa fi fil fr gl_ES he hi_IN hr hu hy id it
    ja kab ka kk km_KH kn_IN ko ku ku_IQ ky ky@Arab la lo lt lv ml mn mr ms
    nb ne nl pa pam pl ps pt pt_BR ro ru sc si sk sl sq sr sv sw ta te th tr
    tzm ug uk ur uz vi zh_CN zh_HK zh_TW
)

add_subdirectory("src/dde-update")
add_subdirectory("src/dde-abrecovery")
add_subdirectory("src/dcc-update-plugin")

=== src/dcc-update-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(PROJECT_NAME dcc-update-plugin)

project(${PROJECT_NAME})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(DdeControlCenter REQUIRED)
find_package(Qt6 COMPONENTS Core Gui Widgets DBus Network LinguistTools Concurrent REQUIRED)
find_package(Dtk6 COMPONENTS Core Gui REQUIRED)

message(STATUS "dde-control-center version:" ${DdeControlCenter_VERSION})

set(Update_Name update)

file(GLOB_RECURSE update_SRCS
        "operation/*.cpp"
        "operation/*.h"
        "operation/qrc/update.qrc"
        "../common/*.h"
        "../common/*.cpp"
)

add_library(${Update_Name} MODULE
        ${update_SRCS}
)

target_include_directories(${Update_Name} PUBLIC
        Dde::Control-Center
)

set(Update_Libraries
        Qt6::Core
        Qt6::Gui
        Qt6::Widgets
        Qt6::DBus
        Qt6::Concurrent
        Qt::Network
        Dtk6::Core
        Dtk6::Gui
        Dde::Control-Center
)

target_link_libraries(${Update_Name} PRIVATE
        ${Update_Libraries}
)

install(FILES "misc/org.deepin.dde.control-center.update.json" DESTINATION share/dsg/configs/org.deepin.dde.control-center)
dcc_install_plugin(NAME ${Update_Name} TARGET ${Update_Name})
dcc_handle_plugin_translation(NAME ${Update_Name} )

=== src/dde-abrecovery/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(ROLLBACK_EXEC_NAME dde-rollback)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")


# Find the library
find_package(PkgConfig REQUIRED)
find_package(Dtk6 COMPONENTS Widget REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Widgets DBus REQUIRED)

file(GLOB_RECURSE SRCS
    "*.h"
    "*.cpp"
    "*.qrc"
    "../common/*.h"
    "../common/*.cpp"
)

add_executable(${ROLLBACK_EXEC_NAME} ${SRCS})

target_include_directories(${ROLLBACK_EXEC_NAME} PUBLIC
    "../common"
    "../common/common"
)

target_link_libraries(${ROLLBACK_EXEC_NAME}
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk6::Widget
)

set(TRANSLATION_FILES "")
foreach(LANG ${TRANSLATION_LANGUAGES})
    list(APPEND TRANSLATION_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/dde-rollback_${LANG}.ts")
endforeach()

# can generate ts and qm file
qt_add_translations(${ROLLBACK_EXEC_NAME}
    SOURCE_TARGETS ${ROLLBACK_EXEC_NAME}
    TS_FILES ${TRANSLATION_FILES}
    SOURCES ${SRCS}
    LUPDATE_OPTIONS -no-obsolete -no-ui-lines -locations none
    QM_FILES_OUTPUT_VARIABLE TR_QM_FILES
    OUTPUT_DIR ${CMAKE_BINARY_DIR}/translations
)

include(GNUInstallDirs)

## qm files
install(FILES ${TR_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)

install(TARGETS ${ROLLBACK_EXEC_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
# 需要在greeter之前启动的配置和脚本
install(FILES "misc/98_rollback_conf.json" DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-session-shell/greeters.d/launch.conf.d)
install(PROGRAMS "misc/rollback_check.sh" DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
deepin-update-ui (1.0.12) unstable; urgency=medium

  * feat: add deepin logo support for community edition
  * i18n: Updates for project Deepin Desktop Environment (#74)
  * fix: update translation
  * fix: update privacy policy URL handling logic
  * fix: improve update checking mechanism and activation state
  * fix: modify the prompt text for the internal test channel

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 20 May 2025 19:45:30 +0800

deepin-update-ui (1.0.11) unstable; urgency=medium

  * fix: security updates toggle for community systems is avaliable
  * fix: The switch updated by third-party sources has been reset

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 16 May 2025 16:51:49 +0800

deepin-update-ui (1.0.10) unstable; urgency=medium

  * Release 1.0.10

 -- YeShanShan <yeshanshan@uniontech.com>  Fri, 16 May 2025 11:23:48 +0800

deepin-update-ui (1.0.9) unstable; urgency=medium

  * fix: updates cannot be detected When all update models are disabled
  * fix: optimize the logic of disable and enable system updates
  * fix: fixed the issue with ui font display
  * fix: update control improvements for battery and disabled states

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 15 May 2025 21:41:12 +0800

deepin-update-ui (1.0.8) unstable; urgency=medium

  * fix: no message when the battery is less than 60% charged
  * i18n: Translate update_en.ts in ca
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in uk
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in sq
  * i18n: Translate update_en.ts in de_DE
  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in fi
  * i18n: Translate update_en.ts in ca
  * fix: No history update viewing functionality
  * i18n: Translate update_en.ts in es
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#52)
  * fix: disable system updates by reading the lastore configuration
  * i18n: Updates for project Deepin Desktop Environment (#47)

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 13 May 2025 20:53:56 +0800

deepin-update-ui (1.0.7) unstable; urgency=medium

  * fix: installation status optimization
  * fix: Not displaying the version and time of the last backup
  * fix: download status optimization
  * i18n: Updates for project Deepin Desktop Environment (#45)
  * feat: support continuous updates when backup fails
  * style: adjust the code structure
  * fix: Advanced settings default expansion
  * fix: improve DConfigWatcher thread safety and connection
  * feat: update translations
  * feat: add update module with privacy agreement and UI improvements

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 21:43:04 +0800

deepin-update-ui (1.0.6) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment (#32)
  * fix: check for updates by default every 24 hours
  * fix: disable automatic update check within 24 hours
  * feat: update translations
  * feat: add testing channel setting

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 10:58:00 +0800

deepin-update-ui (1.0.5) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment (#20)
  * feat: Provide a notification of backup failure
  * fix: The checkbox doesn't respond when clicked
  * chore(license): Organizing licenses and copyrights
  * feat: block the update settings
  * feat: Clear QML cache after installation
  * feat: use dbus-send instead of qdbus
  * feat: optimize the code structure
  * feat: add lock service dbus interface
  * feat: update translations
  * feat: adapt to translation platforms

 -- zhangkun <zhangkun2@uniontech.com>  Tue, 22 Apr 2025 15:42:52 +0800

deepin-update-ui (1.0.4) unstable; urgency=medium

  * chore: remove unnecessary dependencies

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 17 Apr 2025 21:48:42 +0800

deepin-update-ui (1.0.3) unstable; urgency=medium

  * fix: miss dependencies: libdtkwidget-dev
  * fix: the download package size shows 0

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 17 Apr 2025 21:45:42 +0800

deepin-update-ui (1.0.2) unstable; urgency=medium

  * feat: add update back up

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 17 Apr 2025 21:30:52 +0800

deepin-update-ui (1.0.1) unstable; urgency=medium

  * release 1.0.1

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 10 Apr 2025 17:28:42 +0800

deepin-update-ui (1.0.0) unstable; urgency=medium

  * Autobuild Tag 1.0.0

 -- YinJie <yinjie@uniontech.com>  Wed, 13 Dec 2023 15:59:16 +0800

=== debian/control ===
Source: deepin-update-ui
Section: devel
Priority: optional
Maintainer: Deepin Sysdev <sysdev@deepin.com>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 cmake,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-declarative-dev,
 libdtk6core-dev,
 libdtk6gui-dev,
 libdtk6widget-dev,
 dde-control-center-dev (>=6.1.20)
Standards-Version: 4.5.0
Homepage: http://www.deepin.org/

Package: deepin-update-ui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
Description: The UI collection for updating functions, including control
 center update plugins, full screen update interfaces, rollback pages, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
%:
	dh $@ --parallel

ifeq ($(DEB_BUILD_ARCH), mipsel)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), mips64el)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_auto_configure:
	dh_auto_configure -- SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

## deepin-update-ui 1.0.19

=== debian/changelog ===
deepin-update-ui (1.0.19) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#133)

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 27 Jun 2025 10:34:38 +0800

deepin-update-ui (1.0.18) unstable; urgency=medium

  * chore: remove unused Spanish (Mexico) translation files
  * i18n: Updates for project Deepin Desktop Environment (#130)

 -- xionglinlin <xionglinlin@uniontech.com>  Mon, 23 Jun 2025 16:42:41 +0800

deepin-update-ui (1.0.17) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#127)
  * fix: improve update dialog UI and controls
  * i18n: Updates for project Deepin Desktop Environment (#126)

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 20 Jun 2025 17:25:01 +0800

deepin-update-ui (1.0.16) unstable; urgency=medium

  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in zh_CN
  * feat: Prohibit checking for updates when automatic restore is
    enabled
  * i18n: Translate update_en.ts in ca
  * feat: adapt to automatic rollback
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#118)
  * feat: improve update log dialog and notifications
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#116)
  * fix: enhance update list display and version info
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#115)
  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#113)
  * i18n: Updates for project Deepin Desktop Environment (#112)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 09:51:05 +0800

deepin-update-ui (1.0.15) unstable; urgency=medium

  * i18n: Translate dde-update_en.ts in es
  * i18n: Translate dde-update_en.ts in az
  * i18n: Translate dde-update_en.ts in nl
  * i18n: Translate dde-update_en.ts in tr
  * i18n: Translate dde-update_en.ts in sq
  * i18n: Translate dde-update_en.ts in bo
  * i18n: Translate update_en.ts in uk
  * i18n: Translate dde-update_en.ts in pt_BR
  * i18n: Translate dde-update_en.ts in hu
  * i18n: Translate dde-update_en.ts in zh_HK
  * i18n: Translate dde-update_en.ts in ug
  * i18n: Translate dde-update_en.ts in en_US
  * i18n: Translate dde-update_en.ts in ru
  * i18n: Translate update_en.ts in ja
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate dde-update_en.ts in it
  * i18n: Translate dde-update_en.ts in uk
  * i18n: Translate dde-update_en.ts in zh_CN
  * i18n: Translate dde-update_en.ts in lt
  * i18n: Translate dde-update_en.ts in de_DE
  * i18n: Translate dde-update_en.ts in pl
  * i18n: Translate dde-update_en.ts in zh_TW
  * i18n: Translate dde-update_en.ts in ja
  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in de_DE
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in sq
  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in fi
  * i18n: Translate update_en.ts in ca
  * feat: update translations
  * feat: Enhance update log functionality and interface
  * feat: add update log monitoring and export functionality
  * style: Standardize changelog and control files
  * fix: correct BusyIndicator running state in UpdateControl
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in sq
  * fix: Update backup status handling and error analysis logic
  * i18n: Translate update_en.ts in ja (#100)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 12 Jun 2025 21:18:34 +0800

deepin-update-ui (1.0.14) unstable; urgency=medium

  * feat: add download control
  * i18n: Updates for project Deepin Desktop Environment (#98)
  * i18n: Updates for project Deepin Desktop Environment (#97)

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 06 Jun 2025 11:01:25 +0800

deepin-update-ui (1.0.13) unstable; urgency=medium

  * i18n: Translate update_en.ts in de_DE
  * fix: change update mode types from int to quint64
  * fix: update lastore config paths to new dde namespace
  * i18n: Updates for project Deepin Desktop Environment (#92)
  * i18n: Translate update_en.ts in zh_CN (#91)
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#89)
  * chore: fix compilation warnings
  * feat: add modal update
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#88)
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#86)
  * fix: enable clear button in download speed limit input
  * fix: update system update icon and speed limit input
  * fix: use DccTimeRange component instead of SpinBox
  * fix: improve update status handling and UI logic
  * i18n: Translate update_en.ts in pt_BR
  * fix: improve update module state management

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 29 May 2025 16:59:19 +0800

## deepin-update-ui 1.0.21

=== src/dcc-update-plugin/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
 
 # Find the library
 find_package(PkgConfig REQUIRED)

=== src/dde-update/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(UPDATE_EXEC_NAME dde-update)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_FLAGS "-g -Wall")

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Dtk6 COMPONENTS Widget REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core Widgets DBus LinguistTools REQUIRED)

file(GLOB_RECURSE SRCS
    "*.h"
    "*.cpp"
    "*.qrc"
    "../common/*.h"
    "../common/*.cpp"
)

add_executable(${UPDATE_EXEC_NAME} ${SRCS})

set(TRANSLATION_FILES "")
foreach(LANG ${TRANSLATION_LANGUAGES})
    list(APPEND TRANSLATION_FILES "${CMAKE_CURRENT_SOURCE_DIR}/translations/dde-update_${LANG}.ts")
endforeach()

# can generate ts and qm file
qt_add_translations(${UPDATE_EXEC_NAME}
    SOURCE_TARGETS ${UPDATE_EXEC_NAME}
    TS_FILES ${TRANSLATION_FILES}
    SOURCES ${SRCS}
    LUPDATE_OPTIONS -no-obsolete -no-ui-lines -locations none
    QM_FILES_OUTPUT_VARIABLE TR_QM_FILES
    OUTPUT_DIR ${CMAKE_BINARY_DIR}/translations
)

target_include_directories(${UPDATE_EXEC_NAME} PRIVATE
    "../common"
    "../common/common"
)

target_sources(${UPDATE_EXEC_NAME} PUBLIC ${PowerSrc})

target_link_libraries(${UPDATE_EXEC_NAME} PRIVATE
    Qt${QT_VERSION_MAJOR}::Core
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::DBus
    Dtk6::Widget
)

include(GNUInstallDirs)

## qm files
install(FILES ${TR_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}/translations)

install(TARGETS ${UPDATE_EXEC_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

install(FILES "misc/99_system_upgrade_conf.json"
        DESTINATION ${CMAKE_INSTALL_DATADIR}/dde-session-shell/greeters.d/launch.conf.d)

install(FILES "misc/dde-update-autostart.desktop"
        DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart)

install(PROGRAMS "misc/98deepin-upgrade-check"
        DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/X11/Xsession.d)

install(PROGRAMS 
        "misc/system_upgrade_check.sh"
        "misc/run-kwayland-check-wrapper.sh"
        "misc/run-kwayland-check.sh"
        DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
deepin-update-ui (1.0.21) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
    (#143)
  * feat: add battery check before system updates

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:15:41 +0800

deepin-update-ui (1.0.20) unstable; urgency=medium

  * refactor: optimize build system security flags
  * i18n: Updates for project Deepin Desktop Environment (#139)
  * fix: replace SVG icons with DCI icons in update plugin
  * i18n: Updates for project Deepin Desktop Environment (#136)
  * fix: update control and list visibility improvements
  * fix: adjust UI layout and translation settings

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:55:20 +0800

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,6 @@
 
 Package: deepin-update-ui
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${dist:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: The UI collection for updating functions, including control
  center update plugins, full screen update interfaces, rollback pages, etc.

## deepin-update-ui 1.0.24

=== debian/changelog ===
deepin-update-ui (1.0.24) unstable; urgency=medium

  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in ca
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in de_DE
  * i18n: Translate update_en.ts in ja
  * i18n: Translate update_en.ts in uk
  * i18n: Translate update_en.ts in nl
  * i18n: Translate update_en.ts in pl
  * i18n: Translate update_en.ts in zh_TW
  * i18n: Translate update_en.ts in lo
  * i18n: Translate update_en.ts in pt_BR
  * i18n: Translate update_en.ts in tr
  * i18n: Translate update_en.ts in zh_CN
  * i18n: Translate update_en.ts in zh_HK
  * i18n: Translate update_en.ts in sq
  * i18n: Translate update_en.ts in es
  * i18n: Translate update_en.ts in fi
  * i18n: Translate update_en.ts in fr
  * i18n: Translate update_en.ts in ca
  * fix: adjust widget size after update completion
  * fix: update testing channel description text

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 14 Aug 2025 20:42:50 +0800

deepin-update-ui (1.0.23) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#148)

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:40:04 +0800

deepin-update-ui (1.0.22) unstable; urgency=medium

  * refactor: migrate update log monitoring to DBus interface
  * fix: improve update widget layout and button behavior
  * fix: use DStandardPaths for home directory lookup
  * refactor: improve button management and focus handling in recovery
    dialog
  * fix: set focus on upgrade button in UpdateSelectDialog

 -- WuJiangYu <wujiangyu@uniontech.com>  Fri, 01 Aug 2025 10:25:25 +0800

## deepin-update-ui 1.0.31

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,14 +11,8 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g")
 set(QT_VERSION_MAJOR 6)
-
-# 增加安全编译参数
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -fPIC")
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fstack-protector-all -fPIC")
-set(CMAKE_EXE_LINKER_FLAGS  "-z relro -z now -z noexecstack -pie")
-add_compile_options(-fPIC)
 
 if (DEFINED ENABLE_MIEEE)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mieee")
@@ -36,7 +30,7 @@
 
 set(TRANSLATION_LANGUAGES
     af ak am_ET ar ar_EG ast az bg bn bo br ca cgg cs da de de_CH el en en_AU
-    en_GB en_US eo es es_MX et eu fa fi fil fr gl_ES he hi_IN hr hu hy id it
+    en_GB en_US eo es et eu fa fi fil fr gl_ES he hi_IN hr hu hy id it
     ja kab ka kk km_KH kn_IN ko ku ku_IQ ky ky@Arab la lo lt lv ml mn mr ms
     nb ne nl pa pam pl ps pt pt_BR ro ru sc si sk sl sq sr sv sw ta te th tr
     tzm ug uk ur uz vi zh_CN zh_HK zh_TW

=== src/dde-abrecovery/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall")
 
 
 # Find the library

=== src/dde-update/CMakeLists.txt ===
--- 
+++ 
@@ -67,6 +67,18 @@
 install(FILES "misc/dde-update-autostart.desktop"
         DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/xdg/autostart)
 
+install(FILES "misc/copy-update-log.sh"
+        DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/deepin-update-ui
+        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
+
+install(FILES "misc/deepin-update-log-copy@.service"
+        DESTINATION lib/systemd/system
+        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+
+install(FILES "misc/52-deepin-update-ui.rules"
+        DESTINATION ${CMAKE_INSTALL_DATADIR}/polkit-1/rules.d/
+        PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ)
+
 install(PROGRAMS "misc/98deepin-upgrade-check"
         DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/X11/Xsession.d)

=== debian/changelog ===
deepin-update-ui (1.0.31) unstable; urgency=medium

  * chore: update package license from LGPL to GPL
  * fix: multiple screens may cause display overlap

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 16 Oct 2025 20:44:08 +0800

deepin-update-ui (1.0.30) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment (#180)
  * fix: fix check update status display logic
  * Revert "fix: keep time inputs always enabled"
  * i18n: Updates for project Deepin Desktop Environment (#178)
  * fix: adjust privacy label layout in update module

 -- Xiong LinLin <xionglinlin@uniontech.com>  Sun, 28 Sep 2025 16:15:05 +0800

deepin-update-ui (1.0.29) unstable; urgency=medium

  * i18n: Translate dde-rollback_en.ts in ru (#176)

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 18 Sep 2025 20:02:59 +0800

deepin-update-ui (1.0.28) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#172)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 11 Sep 2025 21:01:01 +0800

deepin-update-ui (1.0.27) unstable; urgency=medium

  * fix: keep time inputs always enabled

 -- zhangkun <zhangkun2@uniontech.com>  Fri, 05 Sep 2025 10:34:19 +0800

deepin-update-ui (1.0.26) unstable; urgency=medium

  * fix: optimize system activation state refresh
  * i18n: Updates for project Deepin Desktop Environment (#169)
  * fix: add update notification red dot indicator

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 28 Aug 2025 14:32:42 +0200

deepin-update-ui (1.0.25) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment
  * fix: optimize UI elements and remove debug logs
  * refactor: improve DBus call handling and return values
  * [dde-update-ui] Updates for project Deepin Desktop Environment (#158)
  * feat: Improve log coverage
  * fix: improve UI consistency and layout in update module
  * fix: add tooltip for truncated checkbox text
  * fix: correct error message display for update failures

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 21 Aug 2025 21:36:56 +0800

=== debian/control ===
--- 
+++ 
@@ -18,6 +18,6 @@
 
 Package: deepin-update-ui
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lastore-daemon (>>6.2.25),
 Description: The UI collection for updating functions, including control
  center update plugins, full screen update interfaces, rollback pages, etc.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,11 @@
 include /usr/share/dpkg/default.mk
 SYSTYPE=Desktop
 SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_CFLAGS_MAINT_APPEND = -Wall
+export DEB_CXXFLAGS_MAINT_APPEND = -Wall
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E
 %:
 	dh $@ --parallel

## deepin-update-ui 1.0.35

=== src/dde-update/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
-set(CMAKE_CXX_FLAGS "-g -Wall")
 
 # Find the library
 find_package(PkgConfig REQUIRED)

=== debian/changelog ===
deepin-update-ui (1.0.35) unstable; urgency=medium

  * fix: fix testing channel network access issue
  * refactor: remove hardcoded compiler flags
  * feat: add reproducible build parameters

 -- xionglinlin <xionglinlin@uniontech.com>  Mon, 24 Nov 2025 10:11:07 +0800

deepin-update-ui (1.0.34) unstable; urgency=medium

  * add debian/control dependencies with tray-loader-dev

 -- wujiangyu <wujiangyu@uniontech.com>  Fri, 14 Nov 2025 10:04:23 +0800

deepin-update-ui (1.0.33) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#193)
  * feat: add dock update plugin translation config
  * i18n: Updates for project Deepin Desktop Environment (#191)
  * feat: add dock update status plugin
  * i18n: Translate update_en.ts in ja
  * i18n: Translate update_en.ts in ja

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 13 Nov 2025 19:49:07 +0800

deepin-update-ui (1.0.32) unstable; urgency=medium

  * [dde-update-ui] Updates for project Deepin Desktop Environment

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 30 Oct 2025 20:17:28 +0800

## deepin-update-ui 1.0.38

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,4 +39,5 @@
 add_subdirectory("src/dde-update")
 add_subdirectory("src/dde-abrecovery")
 add_subdirectory("src/dcc-update-plugin")
+add_subdirectory("src/dock-update-plugin")

=== debian/changelog ===
deepin-update-ui (1.0.38) unstable; urgency=medium

  * fix: refresh UI model after updating log info
  * fix: separate battery warning from update failure title

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 26 Dec 2025 11:24:37 +0800

deepin-update-ui (1.0.37) unstable; urgency=medium

  * i18n: Translate dock-update-plugin_en.ts in fi
  * i18n: Updates for project Deepin Desktop Environment (#196)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 18 Dec 2025 21:42:01 +0800

deepin-update-ui (1.0.36) unstable; urgency=medium

  * feat: enhance dock update plugin visibility control
  * refactor: optimize TipsWidget geometry handling
  * fix: add tooltip and improve text display for update title

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Thu, 27 Nov 2025 17:32:29 +0800

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  libdtk6core-dev,
  libdtk6gui-dev,
  libdtk6widget-dev,
+ dde-tray-loader-dev,
  dde-control-center-dev (>=6.1.20)
 Standards-Version: 4.5.0
 Homepage: http://www.deepin.org/

## deepin-update-ui 1.0.38.1

=== src/dock-update-plugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

set(PLUGIN_NAME "dock-update-plugin")

project(${PLUGIN_NAME})
include(GNUInstallDirs)
# 启用 qt moc 的支持
set(CMAKE_AUTOMOC ON)
# 启用 qrc 资源文件的支持
set(CMAKE_AUTORCC ON)
# Sources files
file(GLOB_RECURSE SRCS
    "*.h"
    "*.cpp"
    "widget/*.h"
    "widget/*.cpp"
    "resources/plugin-update.qrc"
)
set(QT_VERSION_MAJOR 6)
set(DTK_VERSION_MAJOR 6)

find_package(PkgConfig REQUIRED)
find_package(Qt${QT_VERSION_MAJOR} ${REQUIRED_QT_VERSION} REQUIRED COMPONENTS Widgets Core LinguistTools)
find_package(Dtk${DTK_VERSION_MAJOR} REQUIRED COMPONENTS Widget Core Gui)
find_package(DdeDock REQUIRED)

add_library(${PLUGIN_NAME} SHARED ${SRCS})
set_target_properties(${PLUGIN_NAME} PROPERTIES LIBRARY_OUTPUT_DIRECTORY ../)

target_link_libraries(${PLUGIN_NAME} PRIVATE
    Dtk${DTK_VERSION_MAJOR}::Widget
    Dtk${DTK_VERSION_MAJOR}::Core
    Dtk${DTK_VERSION_MAJOR}::Gui
    Qt${QT_VERSION_MAJOR}::Widgets
    Qt${QT_VERSION_MAJOR}::Core
)

file(GLOB TS_FILES "translations/*.ts")

qt_add_translations(${PLUGIN_NAME}_language
    TS_FILES ${TS_FILES}
    SOURCES ${SRCS}
    LUPDATE_OPTIONS -no-obsolete -no-ui-lines -locations none
    QM_FILES_OUTPUT_VARIABLE QM_FILES
)
add_custom_target(${PLUGIN_NAME}_language ALL DEPENDS ${QM_FILES})

install(FILES ${QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${PLUGIN_NAME}/translations)

install(TARGETS ${PLUGIN_NAME} LIBRARY DESTINATION lib/dde-dock/plugins)
install(FILES "resources/dcc-plugin-update.dci" DESTINATION share/dde-dock/icons/dcc-setting)

=== debian/changelog ===
deepin-update-ui (1.0.38.1) unstable; urgency=medium

  * fix: refresh UI model after updating log info
  * fix: separate battery warning from update failure title

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 26 Dec 2025 11:24:37 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk
SYSTYPE=Desktop
SYSTYPE=$(shell cat /etc/deepin-version | grep Type= | awk -F'=' '{print $$2}')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall
export DEB_CXXFLAGS_MAINT_APPEND = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-z,relro -Wl,-z,now -Wl,-z,noexecstack -Wl,-E

# reproducible编译参数
DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_SKIP_BUILD_RPATH=ON

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS)

ifeq ($(DEB_BUILD_ARCH), mipsel)
override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS) SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), mips64el)
override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS) SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif

ifeq ($(DEB_BUILD_ARCH), sw_64)
override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CMAKE_EXTRA_FLAGS) SHUTDOWN_NO_QUIT=YES LOCK_NO_QUIT=YES DISABLE_DEMO_VIDEO=YES DISABLE_TEXT_SHADOW=YES DISABLE_ANIMATIONS=YES USE_CURSOR_LOADING_ANI=YES
endif
